Last Comment Bug 595273 - Package dom_notification.xpt
: Package dom_notification.xpt
Status: VERIFIED FIXED
:
Product: SeaMonkey
Classification: Client Software
Component: Installer (show other bugs)
: Trunk
: All All
: -- major (vote)
: seamonkey2.1b1
Assigned To: Philip Chee
:
:
Mentors:
Depends on:
Blocks: SmTestFail 595437
  Show dependency treegraph
 
Reported: 2010-09-10 11:51 PDT by Philip Chee
Modified: 2010-09-11 00:49 PDT (History)
2 users (show)
bugzillamozillaorg_serge_20140323: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Patch v1.0 Just add it. (1017 bytes, patch)
2010-09-10 11:55 PDT, Philip Chee
bugspam.Callek: review+
Details | Diff | Splinter Review

Description Philip Chee 2010-09-10 11:51:17 PDT
Bug 573588 added dom_notification.xpt and a bunch of DOM tests recently, and we are not packaging it. We should just include it.
Comment 1 Philip Chee 2010-09-10 11:55:37 PDT
Created attachment 474142 [details] [diff] [review]
Patch v1.0 Just add it.
Comment 2 Justin Wood (:Callek) 2010-09-10 15:00:29 PDT
Comment on attachment 474142 [details] [diff] [review]
Patch v1.0 Just add it.

rs+ if it fixes tests, but I somehow think this depends on doorhangers and real navigator.xul changes from a skim of the bug that added this.
Comment 3 Robert Kaiser 2010-09-10 15:19:43 PDT
gah, and I hoped I could escape looking into this review more deeply. I probably will not be able to do any meaningful work like digging into bugs until Monday.
Comment 4 Justin Wood (:Callek) 2010-09-10 19:46:52 PDT
Comment on attachment 474142 [details] [diff] [review]
Patch v1.0 Just add it.

Hmm this is not actually app-specific in any way. [yet]

Please open a new bug to track Bug 594543
Comment 5 Justin Wood (:Callek) 2010-09-10 21:15:31 PDT
http://hg.mozilla.org/comm-central/rev/255597f9251d
Comment 6 Philip Chee 2010-09-10 21:18:03 PDT
> rs+ if it fixes tests, but I somehow think this depends on doorhangers and real
> navigator.xul changes from a skim of the bug that added this.

Reading the patches that got checked in, everything else is either backend or Fennec specific. The front end UI changes to Firefox were not checked in (r-) but deferred to after Gecko 2.0.
Comment 7 Philip Chee 2010-09-10 21:32:34 PDT
> Please open a new bug to track Bug 594543
I filed Bug 595437 [Tracking] Implement Desktop Notifications in SeaMonkey
Comment 8 Serge Gautherie (:sgautherie) 2010-09-11 00:49:48 PDT
This did fix (bug 595024 comment 3) mochitests-3/5 failures.

V.Fixed, per
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1284179343.1284181265.28030.gz
Linux comm-central-trunk debug test mochitests-3/5 on 2010/09/10 21:29:03

Note You need to log in before you can comment on or make changes to this bug.